// (C) Copyright 2020 Hewlett-Packard Enterprise Company, L.P.
define(['hp/core/NotificationFormatter',
    'fs/common/AlertNotificationFormatter',
    'fs/common/TaskNotificationFormatter'],
function(notificationFormatter, alertFormatter, taskFormatter, 
    restoreAlertFormatter, backupTaskFormatter) { "use strict";

    var ActivityNotificationFormatter = (function() {

        function ActivityNotificationFormatter() {

            this.register = function () {
                alertFormatter.register();
                taskFormatter.register();
            };
        }

        return new ActivityNotificationFormatter();
    }());
    
    return ActivityNotificationFormatter;
});
